% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/attributes.R
\name{left_padding}
\alias{left_padding}
\alias{left_padding<-}
\alias{set_left_padding}
\alias{left_padding.huxtable}
\alias{left_padding<-.huxtable}
\alias{right_padding}
\alias{top_padding}
\alias{bottom_padding}
\alias{right_padding<-}
\alias{top_padding<-}
\alias{bottom_padding<-}
\alias{right_padding<-<-}
\alias{right_padding.huxtable}
\alias{top_padding.huxtable}
\alias{bottom_padding.huxtable}
\alias{right_padding<-.huxtable}
\alias{top_padding<-.huxtable}
\alias{bottom_padding<-.huxtable}
\alias{right_padding<-<-.huxtable}
\alias{set_right_padding}
\alias{set_top_padding}
\alias{set_bottom_padding}
\alias{set_right_padding<-}
\alias{right_padding}
\alias{bottom_padding}
\alias{top_padding}
\title{Get or Set Cell Padding}
\usage{
left_padding(ht)
left_padding(ht) <- value
set_left_padding(ht, row, col, value)

right_padding(ht)
right_padding(ht) <- value
set_right_padding(ht, row, col, value)

bottom_padding(ht)
bottom_padding(ht) <- value
set_bottom_padding(ht, row, col, value)

top_padding(ht)
top_padding(ht) <- value
set_top_padding(ht, row, col, value)
}
\arguments{
\item{ht}{A huxtable.}

\item{value}{A vector or matrix. Characters must be valid CSS or LaTeX lengths. Numbers will be interpreted as lengths in points. Set to \code{NA} to reset to the default.}

\item{row}{A row specifier.}

\item{col}{A column specifier.}
}
\value{
For \code{left_padding}, the \code{left_padding} attribute.
For \code{set_left_padding}, the \code{ht} object.

Similarly for the other functions.
}
\description{
Functions to get or set the cell padding property of huxtable table cells.
}
\examples{

ht <- huxtable(a = 1:3, b = 1:3)
left_padding(ht) <-  20
left_padding(ht)

}
