% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/attributes.R
\name{set_all_padding}
\alias{set_all_padding}
\title{Set All Padding}
\usage{
set_all_padding(ht, row, col, value)
}
\arguments{
\item{ht}{A huxtable.}

\item{row}{A row specifier.}

\item{col}{A column specifier.}

\item{value}{A vector or matrix. Characters must be valid CSS or LaTeX lengths. Numbers will be interpreted as lengths in points. Set to \code{NA} to reset to the default.}
}
\value{
The modified `ht` object.
}
\description{
Set All Padding
}
\details{
This is a convenience function which sets left, right, top and bottom cell padding
for the specified cells.
}
\examples{
ht <- huxtable(a = 1:3, b = 1:3)
ht <- set_all_padding(ht, 1:3, 1:2, "20px")
}
